using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum ObstacleType { low, high, breakable, humanHorseBreak }

/// <summary>
/// 障碍物基类
/// </summary>
public class Obstacle : MonoBehaviour
{
    /// <summary>
    /// 记忆Y，代表障碍物生成时需要的的Y坐标
    /// </summary>
    [Header("障碍物生成时的Y坐标")]
    public float remanberY;

    protected ObstacleType obstacleType;

    virtual protected void Start() {
        InitSth();
        FindSth();
    }

    virtual protected void InitSth(){}

    virtual protected void FindSth(){}

}
